Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.role.editor.presentation
Class RoleModelWizard

    java.lang.Object
      Wizard
          org.eclipse.gmt.modisco.infra.role.editor.presentation.RoleModelWizard

    public class RoleModelWizard

extends Wizard

This is a simple wizard for creating a new model file.

Nested Class Summary
`class` | `RoleModelWizard.RoleModelWizardInitialObjectCreationPage` This is the page where the type of object to create is selected.
`class` | `RoleModelWizard.RoleModelWizardNewFileCreationPage` This is the one page of the wizard.

Field Summary
`static java.util.List<java.lang.String>` | `FILE_EXTENSIONS` The supported extensions for created files.
`static java.lang.String` | `FORMATTED_FILE_EXTENSIONS` A formatted list of supported file extensions, suitable for display.

Constructor Summary
`RoleModelWizard()`

Method Summary
`void` | `addPages()` The framework calls this to create the contents of the wizard.
`IFile` | `getModelFile()` Get the file from the page.
`void` | `init(IWorkbench workbench, IStructuredSelection selection)` This just records the information.
`boolean` | `performFinish()` Do the work after everything is specified.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILE_EXTENSIONS

    public static final java.util.List<java.lang.String> FILE_EXTENSIONS

  The supported extensions for created files.

### FORMATTED_FILE_EXTENSIONS

    public static final java.lang.String FORMATTED_FILE_EXTENSIONS

  A formatted list of supported file extensions, suitable for display.

Constructor Detail

### RoleModelWizard

    public RoleModelWizard()

Method Detail

### init

    public void init(IWorkbench workbench,
                     IStructuredSelection selection)

  This just records the information.

### performFinish

    public boolean performFinish()

  Do the work after everything is specified.

### addPages

    public void addPages()

  The framework calls this to create the contents of the wizard.

### getModelFile

    public IFile getModelFile()

  Get the file from the page.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD